compile error in gog-radar

classic Classic list List threaded Threaded
2 messages Options
Reply | Threaded
Open this post in threaded view
|

compile error in gog-radar

David Reiser
Trying to compile 12183, I get an error:

gog-radar.c:392: error: static declaration of 'fmin' follows non-
static declaration

That line appears to have been changed in 12039 for gcc 4  
compatibility. I'm stuck at gcc 3.3 until I can get a gwrap upgrade.

Mac 10.4.3, gcc 3.3
--
David Reiser
[hidden email]

_______________________________________________
gnucash-devel mailing list
[hidden email]
https://lists.gnucash.org/mailman/listinfo/gnucash-devel
Reply | Threaded
Open this post in threaded view
|

Re: compile error in gog-radar

Derek Atkins
David Reiser <[hidden email]> writes:

> Trying to compile 12183, I get an error:
>
> gog-radar.c:392: error: static declaration of 'fmin' follows non-
> static declaration
>
> That line appears to have been changed in 12039 for gcc 4  
> compatibility. I'm stuck at gcc 3.3 until I can get a gwrap upgrade.
>
> Mac 10.4.3, gcc 3.3

Hmm..  I don't see this error on Linux/x86/FC3 using current SVN
(just rebuilt).  But I looked at the code and just renamed the
function so you shouldn't have this problem anymore.  Just update
to 12184.

-derek
--
       Derek Atkins, SB '93 MIT EE, SM '95 MIT Media Laboratory
       Member, MIT Student Information Processing Board  (SIPB)
       URL: http://web.mit.edu/warlord/    PP-ASEL-IA     N1NWH
       [hidden email]                        PGP key available
_______________________________________________
gnucash-devel mailing list
[hidden email]
https://lists.gnucash.org/mailman/listinfo/gnucash-devel